OpenTTD Source: Data Fields - Variables

OpenTTD Source 14.1

### - d -

- dark_water : ExtraPaletteValues
- dark_water_toyland : ExtraPaletteValues
- data : AllowedSubtags , Blitter_32bppOptimized::SpriteData , Blitter_8bppOptimized::SpriteData , CBinaryHeapT< T > , Colour , CommandPacket , FixedSizeArray< T, C > , GRFError , LoggedChangeGRFBug , LRUCache< Tkey, Tdata > , MidiFile::DataBlock , NetworkHTTPRequest , NewsItem , NWidgetPartDataTip , OutputBuffer , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , SmallArray< T, B, N > , Sprite , SpriteLoader::Sprite , StringParameter , StringParameterBackup , StringReader , TileMatrix< T, N >
- data_tip : NWidgetPart::NWidgetPartUnion
- date : NewsItem , ScriptInfo , SetDateWindow , StoryPage , TimerGameCalendar , TimerGameEconomy
- date_format_in_default_names : GUISettings
- date_fract : TimerGameCalendar , TimerGameEconomy
- date_of_last_service : Vehicle
- date_of_last_service_newgrf : Vehicle
- date_width : MessageHistoryWindow
- day : TimerGame< T >::YearMonthDay
- day_counter : Vehicle
- DAY_TICKS : Ticks
- DAYS_IN_ECONOMY_MONTH : EconomyTime
- DAYS_IN_ECONOMY_YEAR : EconomyTime
- DAYS_IN_LEAP_YEAR : TimerGameConst< T >
- DAYS_IN_YEAR : TimerGameConst< T >
- DAYS_TILL_ORIGINAL_BASE_YEAR : TimerGameConst< T >
- dbounds : DropDownIcon< TBase, TEnd >
- dc : Win32FontCache
- dd_client_id : NetworkClientListWindow
- dd_company_id : NetworkClientListWindow
- debugbox : WidgetDimensions
- debugbox_dimension : NWidgetLeaf
- decimal_places : Units , UnitsLong
- dedicated : NetworkServerGameInfo
- dedicated_host : AfterNewGRFScan
- dedicated_port : AfterNewGRFScan
- def : IntSettingDesc , ListSettingDesc , StringSettingDesc
- DEF_END_YEAR : TimerGameConst< T >
- DEF_START_YEAR : TimerGameConst< T >
- def_value : GRFParameterInfo
- default_colour : SmallMapColourScheme
- default_company_pass : NetworkSettings
- default_compression : SaveLoadFormat
- default_height_trad : WindowDesc
- default_name : SignList
- default_pos : WindowDesc
- default_rail_type : GUISettings
- default_scope : ResolverObject
- default_signal_type : GUISettings
- default_value : ScriptConfigItem
- default_width_trad : WindowDesc
- DEFAULT_WINDOW_HEIGHT : VideoDriver
- DEFAULT_WINDOW_WIDTH : VideoDriver
- defaultcargo_grf : GRFTempEngineData
- defsizebox : WidgetDimensions
- defsizebox_dimension : NWidgetLeaf
- delay : IntroGameViewportCommand , MpsMachine::Channel , ScriptStorage
- delegate : VideoDriver_Cocoa
- delete_ctr : BaseStation
- delivered_cargo : CompanyEconomyEntry
- delta : CursorVars
- delta_x : DrawTileSeqStruct
- delta_z : AirportFTAClass , DrawTileSeqStruct
- demand : LinkGraph::BaseNode , LinkGraphJob::DemandAnnotation
- demand_distance : LinkGraphSettings
- demand_per_node : SymmetricScaler
- demand_size : LinkGraphSettings
- demands : LinkGraphJob::NodeAnnotation
- departure : TimetableArrivalDeparture
- dependencies : ContentInfo
- depot : RailTypeInfo , RoadTypeInfo
- depot_table : AirportSpec
- depot_unbunching_last_departure : BaseConsist
- depot_unbunching_next_departure : BaseConsist
- depth : NetworkHTTPRequest
- desc : GRFParameterInfo
- descender : FontCache
- descending_sort_order : BuildVehicleWindow , ReplaceVehicleWindow
- description : BaseSet< T, Tnum_files, Tsearch_in_tars > , BlitterFactory , ContentInfo , DriverFactoryBase , PluralForm , ScriptConfigItem , ScriptInfo
- desert_coverage : GameCreationSettings
- dest : NetworkChatWindow , Order
- dest_coords : NPFFindStationOrTileData
- dest_node : LinkGraph::BaseEdge
- dest_scrollpos_x : ViewportData
- dest_scrollpos_y : ViewportData
- dest_tile : Vehicle
- destination : CargoMovement< Tsource, Tdest > , ClosestDepot , TextfileWindow::Hyperlink
- detail_ftype : FileToSaveLoad
- detailed_msg : ErrorMessageData
- details_height : BuildVehicleWindow , ReplaceVehicleWindow
- developer : GUISettings
- diagonal : TileHighlightData
- dib_sect : VideoDriver_Win32GDI
- difficulty : GameSettings
- digit_decimal_separator : LanguagePackHeader , LocaleSettings
- digit_group_separator : LanguagePackHeader , LocaleSettings
- digit_group_separator_currency : LanguagePackHeader , LocaleSettings
- dim : DropDownCheck< TBase, TEnd, TFs > , DropDownString< TBase, TFs, TEnd >
- dir : HangarTileTable , RoadStopEntryRebuilderHelper , ScriptFileChecksumCreator , ShipSubcoordData
- direction : AirportMovingData , Vehicle
- dirty : CursorVars , LinkGraphOverlay , TileHighlightData
- dirty_rect : VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- dirty_tiles : TerraformerState
- disable_elrails : VehicleSettings
- disable_node_optimization : YAPFSettings
- disabled : ButtonCommon
- disallowed_lengths : StationSpec
- disallowed_platforms : StationSpec
- disaster : SoundSettings
- disaster_vehicle : RoadVehicle
- disasters : DifficultySettings
- disp_flags : NWidgetCore
- display : CargoSuffix
- display_flags : Engine
- display_last_variant : Engine
- display_list : SaveLoadWindow
- display_time : AnimCursor
- displayed_actions_on_previous_painting : TownAuthorityWindow
- displayed_playlist : MusicSystem
- displayed_rows : StationViewWindow
- dist_local_authority : EconomySettings
- distance : Path
- distant_join_stations : StationSettings
- distribution_armoured : LinkGraphSettings
- distribution_default : LinkGraphSettings
- distribution_mail : LinkGraphSettings
- distribution_pax : LinkGraphSettings
- do_reserve : FinalizeRefitAction
- docking_station : Station
- dodraw : TileLayoutRegisters
- downloaded_bytes : BaseNetworkContentDownloadStatusWindow
- downloaded_files : BaseNetworkContentDownloadStatusWindow
- dparam : TileDesc
- drag_signals_density : GUISettings
- drag_signals_fixed_distance : GUISettings
- draw_dates : BaseGraphWindow
- draw_size : CursorVars
- draw_tile_proc : TileTypeProcs
- drawstyle : TileHighlightData
- driver_info : VideoDriver_CocoaOpenGL , VideoDriver_SDL_Base
- dropdown_dimension : NWidgetLeaf
- dropdownlist : WidgetDimensions
- dropdowntext : WidgetDimensions
- dsprite : DropDownIcon< TBase, TEnd >
- dst : Blitter::BlitterParams , Goal , Subsidy
- dst_industry : GenericScopeResolver
- dst_type : Subsidy
- dtype : NetworkChatWindow
- dummy : AirportSpec
- dummy_parameter_info : NewGRFParametersWindow
- dummy_tex : OpenGLSprite
- dumper : SaveLoadParams
- duplicate : TrueTypeFontCache::GlyphEntry
- duplicate_sets : BaseMedia< Tbase_set >
- duration : NewsWindow , TextEffect
- duration_phase_1 : Engine
- duration_phase_2 : Engine
- duration_phase_3 : Engine
- durations : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- dynamic_engines : VehicleSettings